#ifndef _LBBCSCENEVIEWMODE_H
#define _LBBCSCENEVIEWMODE_H

#include <LBBCPrerequisites.h>
#include <IMG.h>
#include <OBAOgreFrameListenerMode.h>

namespace LBBC {

class _BBCExport SceneViewMode : public OBA::OgreFrameListenerMode 
{
	protected:
		Ogre::String mSceneFileName;

	public:
		SceneViewMode(Ogre::RenderWindow* win, unsigned int ogreFrameListenerModeHandle, bool useBufferedInputKeys = false, bool useBufferedInputMouse = false);

		virtual ~SceneViewMode();	

		virtual void createScene();

		virtual void destroyScene();

		void setSceneName(Ogre::String filename);
};

}
#endif
