#ifndef _LBBCDiffuseColorPointClusterGenerator_H
#define _LBBCDiffuseColorPointClusterGenerator_H

#include <BBC.h>
#include <LBBCLeaf.h>

namespace LBBC {

class _BBCExport DiffuseColorPointClusterGenerator {

  protected:
	  BBC::EntityPtr mEntity;

	  BBC::BillboardCloud* mBillboardCloud;

	  Ogre::String mMaterialName;

	  Ogre::Real mNumSamples;

  public:

	 DiffuseColorPointClusterGenerator();

	 ~DiffuseColorPointClusterGenerator();

	 void setBillboardCloud(BBC::BillboardCloud *billboardCloud);

	 BBC::BillboardCloud* getBillboardCloud();

	 void setEntity(BBC::EntityPtr entity);

	 void setMaterialName(Ogre::String materialName);

	 Ogre::String getMaterialName();

	 void setNumSamples(Ogre::Real numSamples);

	 Ogre::Real getNumSamples();

	 BBC::EntityPtr getEntity();

     void generateDiffuseColorPointCluster();
};

}
#endif
